Add third party account details
This endpoint allows you to add a third-party account where you want to export your mailboxes. Supported apps:| Name | Type | Description |
|---|
email | string | Email of the third-party account. |
password | string | Password of the third-party account. |
app | string | The third-party app where the account should be added. |
url | string | (Applicable only to Email Bison ) url of your Email Bison Application |
clientId | string | (Applicable only to Email Bison ) The Google Client ID associated with your Email Bison application. |
clientIdAppName | string | (Applicable only to Email Bison )The Google application name associated with your Email Bison setup. |
Example Request#
{
"email": "user@example.com",
"password": "securepassword",
"app": "INSTANTLY"
}
Example Request for Email Bison#
{
"email": "user@example.com",
"password": "securepassword",
"app": "EMAILBISON",
"url": "https://app.emailbison.com",
"clientId": "1234567890-abcdefg.apps.googleusercontent.com",
"clientIdAppName": "Email Bison OAuth App"
}
Request
Body Params application/json
{
"email": "john.doe@example.com",
"password": "securePassword123",
"app": "MAILAPP"
}
Request Code Samples
curl --location --request POST 'https://api.zapmail.ai/api/v2/exports/accounts/third-party' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-key;' \
--header 'x-service-provider;' \
--header 'Content-Type: application/json' \
--data-raw '{
"email": "john.doe@example.com",
"password": "securePassword123",
"app": "MAILAPP"
}'
Responses
application/json {
"status": 200,
"message": "Account added successfully",
"data": null
}
Modified at 2026-02-05 06:23:58